import { FC } from 'react';
import { QueryHookOptions } from 'react-apollo';
import { DocumentNode } from 'graphql';
interface ComponentProps {
    query: DocumentNode | (string);
    columns?: any[];
    pagination?: {
        pageLimit: number;
        pageNeighbors: number;
        currentPage: number;
        onPageChanged: () => void;
        styles: string;
    } | boolean;
    styles?: {
        table?: string;
        thead?: string;
        theadTr?: string;
        theadTh?: string;
        tbody?: string;
        tbodyTr?: string;
        tbodyTd?: string;
    };
    onRowClick?: () => void;
    errorMessage?: string;
    debug?: boolean;
    sort?: boolean;
}
declare type Props = QueryHookOptions & ComponentProps;
declare const ApolloTableQL: FC<Props>;
export default ApolloTableQL;
